include ../makefile.dep

LIBDIR= ../lib/$(HOST)
BINDIR= ../bin/$(HOST)

INCLUDES      = -I../include

TARGETS = llgrid timegrid
all:	$(TARGETS)

LIBS=	\
      $(LIBDIR)/use_db$(LIB) \
		$(LIBDIR)/dbsource$(LIB) \
		$(LIBDIR)/ioserv$(LIB)

llgrid	 : $(BINDIR)/llgrid$(EXE)
llgridOBJECTS = llgrid$(OBJ) $(LIBDIR)/main_cnt$(OBJ)
$(BINDIR)/llgrid$(EXE): $(llgridOBJECTS)
	$(CCLINK) -o $@ $(llgridOBJECTS) $(LIBS) $(LDLIBS)
	$(CHMOD) $(BIN_PERMISSION) $@

timegrid : $(BINDIR)/timegrid$(EXE)
timegridOBJECTS = timegrid$(OBJ) $(LIBDIR)/main_cnt$(OBJ)
$(BINDIR)/timegrid$(EXE): $(timegridOBJECTS)
	$(CCLINK) -o $@ $(timegridOBJECTS) $(LIBS) $(LDLIBS)
	$(CHMOD) $(BIN_PERMISSION) $@


clean:
	$(RM) $(DIRT)
#
